Package org.wso2.carbon.wsdl2code.stub

## Class WSDL2CodeServiceCallbackHandler

- java.lang.Object
- - org.wso2.carbon.wsdl2code.stub.WSDL2CodeServiceCallbackHandler

-     public abstract class WSDL2CodeServiceCallbackHandler
      extends Object

  WSDL2CodeServiceCallbackHandler Callback class, Users can extend this class and implement their own receiveResult and receiveError methods.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Object` | `clientData` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WSDL2CodeServiceCallbackHandler()` | Please use this constructor if you don't want to set any clientData
    `WSDL2CodeServiceCallbackHandler​(Object clientData)` | User can pass in any object that needs to be accessed once the NonBlocking Web service call is finished and appropriate method of this CallBack is called.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getClientData()` | Get the client data
    `void` | `receiveErrorcodegen​(Exception e)` | auto generated Axis2 Error handler override this method for handling error response from codegen operation
    `void` | `receiveErrorcodegenForCXF​(Exception e)` | auto generated Axis2 Error handler override this method for handling error response from codegenForCXF operation
    `void` | `receiveResultcodegen​(CodegenDownloadData result)` | auto generated Axis2 call back method for codegen method override this method for handling normal response from codegen operation
    `void` | `receiveResultcodegenForCXF​(CodegenDownloadData result)` | auto generated Axis2 call back method for codegenForCXF method override this method for handling normal response from codegenForCXF operation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clientData

          protected Object clientData

  - ### Constructor Detail

    - #### WSDL2CodeServiceCallbackHandler

          public WSDL2CodeServiceCallbackHandler​(Object clientData)

      User can pass in any object that needs to be accessed once the NonBlocking Web service call is finished and appropriate method of this CallBack is called.
      Parameters:
        `clientData` - Object mechanism by which the user can pass in user data that will be avilable at the time this callback is called.

    - #### WSDL2CodeServiceCallbackHandler

          public WSDL2CodeServiceCallbackHandler()

      Please use this constructor if you don't want to set any clientData

  - ### Method Detail

    - #### getClientData

          public Object getClientData()

      Get the client data

    - #### receiveResultcodegen

          public void receiveResultcodegen​(CodegenDownloadData result)

      auto generated Axis2 call back method for codegen method override this method for handling normal response from codegen operation

    - #### receiveErrorcodegen

          public void receiveErrorcodegen​(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from codegen operation

    - #### receiveResultcodegenForCXF

          public void receiveResultcodegenForCXF​(CodegenDownloadData result)

      auto generated Axis2 call back method for codegenForCXF method override this method for handling normal response from codegenForCXF operation

    - #### receiveErrorcodegenForCXF

          public void receiveErrorcodegenForCXF​(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from codegenForCXF operation